Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Department/FrmDepartment.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Department/FrmDepartment.designer.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Department/FrmDepartment.designer.cs	(revision 51)
@@ -44,22 +44,22 @@
             this.txtInput01 = new System.Windows.Forms.TextBox();
             this.label2 = new System.Windows.Forms.Label();
             this.tableLayoutPanel1 = new System.Windows.Forms.TableLayoutPanel();
+            this.numUDPeriod = new System.Windows.Forms.NumericUpDown();
             this.lblDepartmentCode = new System.Windows.Forms.Label();
             this.cmbActionScheduleDsp = new System.Windows.Forms.ComboBox();
+            this.dgvExpenses = new ProcessManagement.Forms.CustomControls.DataGridViewEX();
+            this.dataGridViewTextBoxColumn2 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.dataGridViewTextBoxColumn3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.Column3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.label3 = new System.Windows.Forms.Label();
             this.lblStaticItemCode = new System.Windows.Forms.Label();
             this.label4 = new System.Windows.Forms.Label();
+            this.label5 = new System.Windows.Forms.Label();
             this.cmbStaStaffAssignDsp = new System.Windows.Forms.ComboBox();
             this.btnDataLineEntry = new System.Windows.Forms.Button();
             this.lblEditMode = new System.Windows.Forms.Label();
             this.btnDispDown = new System.Windows.Forms.Button();
             this.btnDispUp = new System.Windows.Forms.Button();
-            this.label5 = new System.Windows.Forms.Label();
-            this.numUDPeriod = new System.Windows.Forms.NumericUpDown();
-            this.dgvExpenses = new ProcessManagement.Forms.CustomControls.DataGridViewEX();
-            this.dataGridViewTextBoxColumn2 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.dataGridViewTextBoxColumn3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.Column3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.dgvWorkList = new ProcessManagement.Forms.CustomControls.DataGridViewEX();
             this.Column0 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
@@ -118,7 +118,7 @@
             this.btnDataDelete.Name = "btnDataDelete";
             this.btnDataDelete.Size = new System.Drawing.Size(120, 30);
             this.btnDataDelete.TabIndex = 5;
-            this.btnDataDelete.Text = "削　除";
+            this.btnDataDelete.Text = "内容削除";
             this.btnDataDelete.UseVisualStyleBackColor = false;
             this.btnDataDelete.Click += new System.EventHandler(this.btnDataDelete_Click);
             // 
@@ -188,6 +188,17 @@
             this.tableLayoutPanel1.Size = new System.Drawing.Size(600, 266);
             this.tableLayoutPanel1.TabIndex = 0;
             // 
+            // numUDPeriod
+            // 
+            this.numUDPeriod.Anchor = System.Windows.Forms.AnchorStyles.Left;
+            this.numUDPeriod.Location = new System.Drawing.Point(153, 63);
+            this.numUDPeriod.Name = "numUDPeriod";
+            this.numUDPeriod.ReadOnly = true;
+            this.numUDPeriod.Size = new System.Drawing.Size(84, 23);
+            this.numUDPeriod.TabIndex = 37;
+            this.numUDPeriod.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
+            this.numUDPeriod.ValueChanged += new System.EventHandler(this.numUDPeriod_ValueChanged);
+            // 
             // lblDepartmentCode
             // 
             this.lblDepartmentCode.Anchor = System.Windows.Forms.AnchorStyles.Left;
@@ -211,6 +222,75 @@
             this.cmbActionScheduleDsp.TabIndex = 3;
             this.cmbActionScheduleDsp.TextChanged += new System.EventHandler(this.valueChange);
             // 
+            // dgvExpenses
+            // 
+            this.dgvExpenses.AllowUserToAddRows = false;
+            this.dgvExpenses.AllowUserToDeleteRows = false;
+            this.dgvExpenses.AllowUserToResizeColumns = false;
+            this.dgvExpenses.AllowUserToResizeRows = false;
+            this.dgvExpenses.AutoSizeRowsMode = System.Windows.Forms.DataGridViewAutoSizeRowsMode.DisplayedCellsExceptHeaders;
+            this.dgvExpenses.BackgroundColor = System.Drawing.Color.FromArgb(((int)(((byte)(224)))), ((int)(((byte)(224)))), ((int)(((byte)(224)))));
+            this.dgvExpenses.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            dataGridViewCellStyle1.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle1.BackColor = System.Drawing.SystemColors.Control;
+            dataGridViewCellStyle1.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dataGridViewCellStyle1.ForeColor = System.Drawing.SystemColors.WindowText;
+            dataGridViewCellStyle1.SelectionBackColor = System.Drawing.SystemColors.Highlight;
+            dataGridViewCellStyle1.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
+            dataGridViewCellStyle1.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
+            this.dgvExpenses.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle1;
+            this.dgvExpenses.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
+            this.dgvExpenses.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
+            this.dataGridViewTextBoxColumn2,
+            this.dataGridViewTextBoxColumn3,
+            this.Column3});
+            this.tableLayoutPanel1.SetColumnSpan(this.dgvExpenses, 2);
+            this.dgvExpenses.ImeMode = System.Windows.Forms.ImeMode.Disable;
+            this.dgvExpenses.Location = new System.Drawing.Point(3, 93);
+            this.dgvExpenses.Name = "dgvExpenses";
+            this.dgvExpenses.RowHeadersVisible = false;
+            this.dgvExpenses.RowHeadersWidth = 20;
+            this.dgvExpenses.RowHeadersWidthSizeMode = System.Windows.Forms.DataGridViewRowHeadersWidthSizeMode.DisableResizing;
+            this.dgvExpenses.RowTemplate.Height = 21;
+            this.dgvExpenses.SelectionMode = System.Windows.Forms.DataGridViewSelectionMode.CellSelect;
+            this.dgvExpenses.Size = new System.Drawing.Size(580, 105);
+            this.dgvExpenses.TabIndex = 2;
+            this.dgvExpenses.CellValidated += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvExpenses_CellValidated);
+            // 
+            // dataGridViewTextBoxColumn2
+            // 
+            this.dataGridViewTextBoxColumn2.Frozen = true;
+            this.dataGridViewTextBoxColumn2.HeaderText = "経費名称コード";
+            this.dataGridViewTextBoxColumn2.Name = "dataGridViewTextBoxColumn2";
+            this.dataGridViewTextBoxColumn2.ReadOnly = true;
+            this.dataGridViewTextBoxColumn2.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.dataGridViewTextBoxColumn2.Visible = false;
+            // 
+            // dataGridViewTextBoxColumn3
+            // 
+            dataGridViewCellStyle2.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
+            dataGridViewCellStyle2.ForeColor = System.Drawing.Color.Black;
+            this.dataGridViewTextBoxColumn3.DefaultCellStyle = dataGridViewCellStyle2;
+            this.dataGridViewTextBoxColumn3.Frozen = true;
+            this.dataGridViewTextBoxColumn3.HeaderText = "経　費　名　称";
+            this.dataGridViewTextBoxColumn3.MaxInputLength = 50;
+            this.dataGridViewTextBoxColumn3.Name = "dataGridViewTextBoxColumn3";
+            this.dataGridViewTextBoxColumn3.ReadOnly = true;
+            this.dataGridViewTextBoxColumn3.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.dataGridViewTextBoxColumn3.Width = 460;
+            // 
+            // Column3
+            // 
+            dataGridViewCellStyle3.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle3.ForeColor = System.Drawing.Color.Black;
+            dataGridViewCellStyle3.NullValue = null;
+            this.Column3.DefaultCellStyle = dataGridViewCellStyle3;
+            this.Column3.Frozen = true;
+            this.Column3.HeaderText = "経費率";
+            this.Column3.Name = "Column3";
+            this.Column3.ReadOnly = true;
+            this.Column3.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            // 
             // label3
             // 
             this.label3.Anchor = System.Windows.Forms.AnchorStyles.Left;
@@ -250,6 +330,19 @@
             this.label4.Text = "人員配置表示";
             this.label4.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
+            // label5
+            // 
+            this.label5.Anchor = System.Windows.Forms.AnchorStyles.Left;
+            this.label5.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(128)))), ((int)(((byte)(128)))));
+            this.label5.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.label5.ForeColor = System.Drawing.Color.Black;
+            this.label5.Location = new System.Drawing.Point(3, 63);
+            this.label5.Name = "label5";
+            this.label5.Size = new System.Drawing.Size(144, 23);
+            this.label5.TabIndex = 0;
+            this.label5.Text = "経費対象期";
+            this.label5.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
             // cmbStaStaffAssignDsp
             // 
             this.cmbStaStaffAssignDsp.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
@@ -313,99 +406,6 @@
             this.btnDispUp.UseVisualStyleBackColor = true;
             this.btnDispUp.Click += new System.EventHandler(this.btnDispUp_Click);
             // 
-            // label5
-            // 
-            this.label5.Anchor = System.Windows.Forms.AnchorStyles.Left;
-            this.label5.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(128)))), ((int)(((byte)(128)))));
-            this.label5.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            this.label5.ForeColor = System.Drawing.Color.Black;
-            this.label5.Location = new System.Drawing.Point(3, 63);
-            this.label5.Name = "label5";
-            this.label5.Size = new System.Drawing.Size(144, 23);
-            this.label5.TabIndex = 0;
-            this.label5.Text = "経費対象期";
-            this.label5.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
-            // 
-            // numUDPeriod
-            // 
-            this.numUDPeriod.Anchor = System.Windows.Forms.AnchorStyles.Left;
-            this.numUDPeriod.Location = new System.Drawing.Point(153, 63);
-            this.numUDPeriod.Name = "numUDPeriod";
-            this.numUDPeriod.ReadOnly = true;
-            this.numUDPeriod.Size = new System.Drawing.Size(84, 23);
-            this.numUDPeriod.TabIndex = 37;
-            this.numUDPeriod.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
-            this.numUDPeriod.ValueChanged += new System.EventHandler(this.numUDPeriod_ValueChanged);
-            // 
-            // dgvExpenses
-            // 
-            this.dgvExpenses.AllowUserToAddRows = false;
-            this.dgvExpenses.AllowUserToDeleteRows = false;
-            this.dgvExpenses.AllowUserToResizeColumns = false;
-            this.dgvExpenses.AllowUserToResizeRows = false;
-            this.dgvExpenses.AutoSizeRowsMode = System.Windows.Forms.DataGridViewAutoSizeRowsMode.DisplayedCellsExceptHeaders;
-            this.dgvExpenses.BackgroundColor = System.Drawing.Color.FromArgb(((int)(((byte)(224)))), ((int)(((byte)(224)))), ((int)(((byte)(224)))));
-            this.dgvExpenses.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            dataGridViewCellStyle1.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle1.BackColor = System.Drawing.SystemColors.Control;
-            dataGridViewCellStyle1.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            dataGridViewCellStyle1.ForeColor = System.Drawing.SystemColors.WindowText;
-            dataGridViewCellStyle1.SelectionBackColor = System.Drawing.SystemColors.Highlight;
-            dataGridViewCellStyle1.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
-            dataGridViewCellStyle1.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
-            this.dgvExpenses.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle1;
-            this.dgvExpenses.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
-            this.dgvExpenses.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
-            this.dataGridViewTextBoxColumn2,
-            this.dataGridViewTextBoxColumn3,
-            this.Column3});
-            this.tableLayoutPanel1.SetColumnSpan(this.dgvExpenses, 2);
-            this.dgvExpenses.ImeMode = System.Windows.Forms.ImeMode.Disable;
-            this.dgvExpenses.Location = new System.Drawing.Point(3, 93);
-            this.dgvExpenses.Name = "dgvExpenses";
-            this.dgvExpenses.RowHeadersVisible = false;
-            this.dgvExpenses.RowHeadersWidth = 20;
-            this.dgvExpenses.RowHeadersWidthSizeMode = System.Windows.Forms.DataGridViewRowHeadersWidthSizeMode.DisableResizing;
-            this.dgvExpenses.RowTemplate.Height = 21;
-            this.dgvExpenses.SelectionMode = System.Windows.Forms.DataGridViewSelectionMode.CellSelect;
-            this.dgvExpenses.Size = new System.Drawing.Size(580, 105);
-            this.dgvExpenses.TabIndex = 2;
-            this.dgvExpenses.CellValidated += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvExpenses_CellValidated);
-            // 
-            // dataGridViewTextBoxColumn2
-            // 
-            this.dataGridViewTextBoxColumn2.Frozen = true;
-            this.dataGridViewTextBoxColumn2.HeaderText = "経費名称コード";
-            this.dataGridViewTextBoxColumn2.Name = "dataGridViewTextBoxColumn2";
-            this.dataGridViewTextBoxColumn2.ReadOnly = true;
-            this.dataGridViewTextBoxColumn2.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.dataGridViewTextBoxColumn2.Visible = false;
-            // 
-            // dataGridViewTextBoxColumn3
-            // 
-            dataGridViewCellStyle2.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
-            dataGridViewCellStyle2.ForeColor = System.Drawing.Color.Black;
-            this.dataGridViewTextBoxColumn3.DefaultCellStyle = dataGridViewCellStyle2;
-            this.dataGridViewTextBoxColumn3.Frozen = true;
-            this.dataGridViewTextBoxColumn3.HeaderText = "経　費　名　称";
-            this.dataGridViewTextBoxColumn3.MaxInputLength = 50;
-            this.dataGridViewTextBoxColumn3.Name = "dataGridViewTextBoxColumn3";
-            this.dataGridViewTextBoxColumn3.ReadOnly = true;
-            this.dataGridViewTextBoxColumn3.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.dataGridViewTextBoxColumn3.Width = 460;
-            // 
-            // Column3
-            // 
-            dataGridViewCellStyle3.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            dataGridViewCellStyle3.ForeColor = System.Drawing.Color.Black;
-            dataGridViewCellStyle3.NullValue = null;
-            this.Column3.DefaultCellStyle = dataGridViewCellStyle3;
-            this.Column3.Frozen = true;
-            this.Column3.HeaderText = "経費率";
-            this.Column3.Name = "Column3";
-            this.Column3.ReadOnly = true;
-            this.Column3.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            // 
             // dgvWorkList
             // 
             this.dgvWorkList.AllowUserToAddRows = false;
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Division/FrmDivisionMaster.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Division/FrmDivisionMaster.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Division/FrmDivisionMaster.cs	(revision 51)
@@ -73,6 +73,11 @@
         /// ダイアログ使用時フラグ
         /// </summary>
         private bool m_DialogFlg = false;
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        private bool m_EditLock = false;
         #endregion
 
         #region プロパティ
@@ -99,6 +104,15 @@
             get { return m_NameCode; }
             set { m_NameCode = value; }
         }
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        public bool EditLock
+        {
+            get { return m_EditLock; }
+            set { m_EditLock = value; }
+        }
         #endregion
 
         #region コンストラクタ
@@ -121,7 +135,7 @@
         }
         #endregion
 
-        #region イベントメソッド
+        #region ×ボタン押下処理
         /// <summary>
         /// ×ボタン押下処理
         /// </summary>
@@ -141,6 +155,9 @@
             // 前プロセスに戻る
             ClsExcute.BackProcess();
         }
+        #endregion
+
+        #region 終了ボタン押下
         /// <summary>
         /// 終了ボタン押下
         /// </summary>
@@ -150,7 +167,9 @@
         {
             this.Close();
         }
+        #endregion
 
+        #region フォームロード
         /// <summary>
         /// フォームロード
         /// </summary>
@@ -160,6 +179,7 @@
         {
             // 初期表示
             InitDataLoad();
+            
             // ダイアログ使用時
             if (m_DialogFlg)
             {
@@ -166,10 +186,23 @@
                 //フォームの幅だけを変更する
                 this.SetBounds(this.Left, this.Top, (this.Width - 40), this.Height, BoundsSpecified.Width);
             }
+
             // フォームサイズ固定
             this.MaximizedBounds = new Rectangle(this.Left, this.Top, this.Width, this.Height);
+
+            // ボタン表示の制御
+            ButtonVisble(this);
+
+            // 参照時はデータ変更させない
+            if (m_EditLock)
+            {
+                ExecReadOnly();
+            }
+
         }
+        #endregion
 
+        #region 行データクリア
         /// <summary>
         /// 行データクリア
         /// </summary>
@@ -183,6 +216,9 @@
             dgvMaster[(int)DispColumn.NewFlg, iIndex].Value = "1";
 
         }
+        #endregion
+
+        #region グリッド採番処理
         /// <summary>
         /// グリッド採番処理
         /// </summary>
@@ -201,6 +237,9 @@
                     r.Cells[(int)DispColumn.No].Value = "0";
             }
         }
+        #endregion
+
+        #region 行追加ボタン押下
         /// <summary>
         /// 行追加ボタン押下
         /// </summary>
@@ -283,7 +322,9 @@
             //dgvMaster.FirstDisplayedScrollingRowIndex = iIndex;
             //dgvMaster.CurrentCell = dgvMaster[0, iIndex];
         }
+        #endregion
 
+        #region フィールド値変更フラグ
         /// <summary>
         /// フィールド値変更フラグ
         /// </summary>
@@ -293,7 +334,9 @@
         {
             m_bChengeAns = true;
         }
+        #endregion
 
+        #region セル値変化
         /// <summary>
         /// セル値変化
         /// </summary>
@@ -313,7 +356,10 @@
             // 変更フラグON
             m_bChengeAns = true;
         }
-                /// <summary>
+        #endregion
+
+        #region 行削除ボタン押下
+        /// <summary>
         /// 行削除ボタン押下
         /// </summary>
         /// <param name="sender"></param>
@@ -347,6 +393,8 @@
 
                 nmDB.commit();
 
+                CommonMotions.RemoveEndMessage(string.Format("{0}データ行", lblTitle.Text));
+
                 // データ表示
                 if (!DispGridData()) return;
 
@@ -366,7 +414,9 @@
                 nmDB = null;
             }
         }
+        #endregion
 
+        #region 登録ボタン押下
         /// <summary>
         /// 登録ボタン押下
         /// </summary>
@@ -391,6 +441,8 @@
                 // データ登録
                 DivisionMasterDataEntry();
 
+                CommonMotions.EntryEndMessage(string.Format("{0}データ", lblTitle.Text));
+
                 // データ表示
                 if (!DispGridData()) return;
 
@@ -405,6 +457,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
+
+        #region IMEのコントロール
         /// <summary>
         /// IMEのコントロール
         /// </summary>
@@ -433,7 +488,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region アップキー押下
         /// <summary>
         /// アップキー押下
         /// </summary>
@@ -460,6 +517,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
+
+        #region ダウンキー押下処理
         /// <summary>
         /// ダウンキー押下処理
         /// </summary>
@@ -486,7 +546,10 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region セルクリック
+        /// <summary>
         /// セルクリック
         /// </summary>
         /// <param name="sender"></param>
@@ -495,7 +558,9 @@
         {
             dgvMaster_CellDoubleClick(sender, e);
         }
+        #endregion
 
+        #region セルダブルクリック
         /// <summary>
         /// セルダブルクリック
         /// </summary>
@@ -512,7 +577,9 @@
 
             this.Close();
         }
+        #endregion
 
+        #region Formキーダウン処理
         /// <summary>
         /// Formキーダウン処理
         /// </summary>
@@ -530,7 +597,7 @@
         }
         #endregion
 
-        #region プライベートメソッド
+        #region 初期表示処理
         /// <summary>
         /// 初期表示処理
         /// </summary>
@@ -560,7 +627,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region 画面項目のチェック
         /// <summary>
         /// 画面項目のチェック
         /// </summary>
@@ -599,8 +668,10 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
                 return false;
             }
-      }
+        }
+        #endregion
 
+        #region 区分マスタデータ登録
         /// <summary>
         /// 区分マスタデータ登録
         /// </summary>
@@ -704,9 +775,11 @@
                 nmDB = null;
             }
         }
+        #endregion
 
+        #region 区分マスタ表示
         /// <summary>
-        /// 名称マスタ表示
+        /// 区分マスタ表示
         /// </summary>
         /// <returns></returns>
         private bool DispGridData()
@@ -719,7 +792,6 @@
                 // グリッドの行を0に戻す
                 dgvMaster.Rows.Clear();
 
-
                 // SQL作成
                 string strSQL = string.Format(" Where DivisionCode = {0} And DeleteFlg = 0 Order By DisplayOrder ASC", m_DivisionCode);
                 // 表示順マスタ取得
@@ -768,8 +840,41 @@
                 cmDB = null;
             }
         }
+        #endregion
 
+        #region ボタンの表示・非表示制御
         /// <summary>
+        /// ボタンの表示・非表示制御
+        /// </summary>
+        private void ButtonVisble(Control Parent)
+        {
+            bool bAns = true;
+            if (m_DialogFlg)
+            {
+
+                bAns = false;
+            }
+            else
+            {
+                bAns = true;
+            }
+
+            foreach (Control ctrl in Parent.Controls)
+            {
+                if (!ctrl.GetType().Equals(typeof(Button))) continue;
+
+                // 終了ボタン以外を制御する
+                if (ctrl.Name.Equals(btnEnd.Name)) continue;
+                        
+                ctrl.Visible = bAns;
+            }
+            // グリッドの読込のみ制御
+            dgvMaster.ReadOnly = m_DialogFlg;
+        }
+        #endregion
+
+        #region グリッド最終行での処理
+        /// <summary>
         /// グリッド最終行での処理
         /// </summary>
         private void GridLastLine()
@@ -791,5 +896,32 @@
             }
         }
         #endregion
+
+        #region 参照時ロック処理
+        /// <summary>
+        /// 参照時ロック処理
+        /// </summary>
+        private void ExecReadOnly()
+        {
+            try
+            {
+                foreach (Control ctrl in this.Controls)
+                {
+                    if (!ctrl.GetType().Equals(typeof(Button))) continue;
+                 
+                    // 終了ボタン以外を制御する
+                    if (ctrl.Name.Equals(btnEnd.Name)) continue;
+                    
+                    ctrl.Visible = false;
+                }
+                // グリッドの読込のみ制御
+                dgvMaster.ReadOnly = true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
     }
 }
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Expenses/FrmExpenses.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Expenses/FrmExpenses.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Expenses/FrmExpenses.cs	(revision 51)
@@ -555,7 +555,7 @@
         /// </summary>
         private bool DispDivisionGridData()
         {
-            IOMDivision cmDB = new IOMDivision();
+            IOMConstructionType cmDB = new IOMConstructionType();
             try
             {
                 // グリッドの行を0に戻す
@@ -566,18 +566,17 @@
                 //string DivisionName = CommonDefine.DivisionMasterCode[2];
                 //int DivisionCode = CommonDefine.DivisionMasterCode.First(x => x.Value == DivisionName).Key;
 
-                string strSQL = cmDB.CreatePrimarykeyString((int)CommonDefine.DivisionMasterCodeDefine.ConstructionClass);
-                strSQL += " And DeleteFlg = 0 Order By DisplayOrder ASC";
-                List<DivisionMaster> cm = new List<DivisionMaster>();
+                string strSQL = " And DeleteFlg = 0 Order By DisplayOrder ASC";
+                List<ConstructionTypeMaster> cm = new List<ConstructionTypeMaster>();
                 // 区分マスタ取得
                 if (!cmDB.SelectAction(strSQL, ref cm)) return false;
 
                 // データ表示
                 int icnt = 0;
-                foreach (DivisionMaster work in cm)
+                foreach (ConstructionTypeMaster work in cm)
                 {
                     dgvWorkList.Rows.Add(work.DisplayOrder
-                                        , work.NameCode
+                                        , work.TypeCode
                                         , work.NameString.ToString());
                     dgvWorkList.Rows[icnt++].Cells[(int)DispColumn.DivisionName].ToolTipText = work.NameString.ToString();
 
@@ -630,14 +629,10 @@
 
                 // 経費率マスタ取得
                 // ValueからKeyを検索
-                //string DivisionName = CommonDefine.DivisionMasterCode[2];
-                //int DivisionCode = CommonDefine.DivisionMasterCode.First(x => x.Value == DivisionName).Key;
-                //string KeihirituName = CommonDefine.DivisionMasterCode[3];
-                //int KeihirituCode = CommonDefine.DivisionMasterCode.First(x => x.Value == KeihirituName).Key;
                 int DivisionCode = (int)CommonDefine.DivisionMasterCodeDefine.ConstructionClass;
                 int KeihirituCode = (int)CommonDefine.DivisionMasterCodeDefine.ConstructionExpenses;
 
-                string strSQL = "SET @rownum=0; Select";
+                string strSQL = "Select";
                 strSQL += " A.NameCode,";
                 strSQL += " A.NameString,";
                 strSQL += " B.NameCode,";
@@ -646,15 +641,18 @@
                 strSQL += " B.ExpensesRatio";
                 strSQL += " From DivisionMaster A,";
                 strSQL += " (Select";
-                strSQL += " @rownum:=@rownum+1 RecNo,";
+                strSQL += " ROW_NUMBER() OVER (ORDER BY SA.DisplayOrder) RecNo,";
                 strSQL += " SA.NameCode,";
                 strSQL += " SA.NameString,";
                 strSQL += " SA.DisplayOrder,";
                 strSQL += " IFNULL(SB.ExpensesRatio, 0) ExpensesRatio";
+                //strSQL += " From DivisionMaster SA, ExpensesMaster SB";
                 strSQL += " From DivisionMaster SA";
-                strSQL += " RIGHT OUTER JOIN ExpensesMaster SB";
-                strSQL += " On SA.NameCode = SB.NameCode";
-                strSQL += string.Format(" And {0} = SB.DivisionCode", m_ExpensesCode);
+                //strSQL += string.Format(" Where SA.DivisionCode = {0}", KeihirituCode);
+                //strSQL += " And SA.NameCode = SB.NameCode(+)";
+                strSQL += " LEFT OUTER JOIN ExpensesMaster SB ON SA.NameCode = SB.NameCode";
+                //strSQL += string.Format(" And SB.DivisionCode(+) = {0}", m_ExpensesCode);
+                strSQL += string.Format(" LEFT OUTER JOIN ExpensesMaster SB ON SB.DivisionCode = {0}", m_ExpensesCode);
                 strSQL += string.Format(" Where SA.DivisionCode = {0}", KeihirituCode);
                 strSQL += " Order By SA.DisplayOrder) B";
                 strSQL += string.Format(" Where A.DivisionCode = {0}", DivisionCode);
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Expenses/FrmExpenses.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Expenses/FrmExpenses.designer.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Expenses/FrmExpenses.designer.cs	(revision 51)
@@ -106,7 +106,7 @@
             this.btnDataDelete.Name = "btnDataDelete";
             this.btnDataDelete.Size = new System.Drawing.Size(120, 30);
             this.btnDataDelete.TabIndex = 3;
-            this.btnDataDelete.Text = "削　除";
+            this.btnDataDelete.Text = "内容削除";
             this.btnDataDelete.UseVisualStyleBackColor = false;
             this.btnDataDelete.Click += new System.EventHandler(this.btnDataDelete_Click);
             // 
